Release an unused reservation
POST
/v1/reservations/{reservation_id}/release
Releases reserved amount back to remaining budget.
IDEMPOTENCY (NORMATIVE): - On replay with the same idempotency_key, the server MUST return the original successful response payload.
TENANCY (NORMATIVE): - If the reservation exists but is owned by a different effective tenant, the server MUST return 403 FORBIDDEN.
Authorizations
ApiKeyAuth
Type
API Key (header: X-Cycles-API-Key)
Parameters
Header Parameters
X-Idempotency-Key
Optional idempotency key header. If both header and body idempotency_key are provided, they MUST match. Server MUST enforce idempotency per endpoint by (effective tenant, endpoint, idempotency_key). On replay of an idempotent request that previously succeeded, server MUST return the original successful response payload (including any server-generated identifiers such as reservation_id).
Type
string
Min Length
1Max Length
256Path Parameters
reservation_id*
Type
Requiredstring
Min Length
1Max Length
128Request Body
application/json
JSON "idempotency_key": "string", "reason": "string"
{
}
Responses
Release succeeded
application/json
JSON "status": "string", "released": { "unit": "string", "amount": 0 }, "balances": [ { "scope": "string", "scope_path": "string", "remaining": { "unit": "string", "amount": 0 }, "reserved": { "unit": "string", "amount": 0 }, "spent": { "unit": "string", "amount": 0 }, "debt": { "unit": "string", "amount": 0 }, "allocated": { "unit": "string", "amount": 0 }, "overdraft_limit": { "unit": "string", "amount": 0 }, "is_over_limit": true } ]
{
}
